Skip to content

List integration sync history

GET
/v1/integrations/{integration_id}/sync_history

List sync history for an integration, with optional status/resource_type filters.

integration_id
required
Integration Id
string format: uuid
status
Any of:
string
resource_type
Any of:
string
skip
Skip
integer
0
limit
Limit
integer
default: 100 >= 1 <= 1000

Successful Response

Response List Integration Sync History V1 Integrations Integration Id Sync History Get
Array<object>
IntegrationSyncHistoryResponse
object
id
required
Id
string format: uuid
integration_id
required
Integration Id
string format: uuid
resource_type
required
Resource Type
string
resource_id
Any of:
string format: uuid
external_id
Any of:
string
action
required
Action
string
status
required
Status
string
error_message
Any of:
string
details
Any of:
object
key
additional properties
any
started_at
required
Started At
string format: date-time
completed_at
Any of:
string format: date-time
created_at
required
Created At
string format: date-time

Unauthorized

Integration not found

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object